import { Icon } from '@iconify/css-solid';
import { splitProps } from 'solid-js';

const viewBox = {"width":36,"height":36};
const content = `<style>.zsabr2u {
  fill: #FFDC5D;
  d: path("M34.896 36C30.618 13.677 16.169 2.725 0 1.195V36h34.896z");
}
</style><path class="zsabr2u"/>`;

/** @param props {{width?: string; height?: string;}} */
function Component(props) {
	const [local, others] = splitProps(props, ["width","height"]);

	return (<Icon width={local.width} height={local.height} viewBox={viewBox} content={content} fallback={"twemoji:bald"} {...others} />);
}

export default Component;
